Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class HistogramParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.HistogramParams

    public class HistogramParams

extends Object

Determine the parameters for a histogram.

Field Summary
`protected Double` | `leftBoundary`
`protected Integer` | `numBins`
`protected Double` | `rightBoundary`
`protected Boolean` | `syncTicks`

Constructor Summary
`HistogramParams()`

Method Summary
`double` | `getLeftBoundary()` Gets the value of the leftBoundary property.
`int` | `getNumBins()` Gets the value of the numBins property.
`double` | `getRightBoundary()` Gets the value of the rightBoundary property.
`boolean` | `isSetLeftBoundary()`
`boolean` | `isSetNumBins()`
`boolean` | `isSetRightBoundary()`
`boolean` | `isSetSyncTicks()`
`boolean` | `isSyncTicks()` Gets the value of the syncTicks property.
`void` | `setLeftBoundary(double value)` Sets the value of the leftBoundary property.
`void` | `setNumBins(int value)` Sets the value of the numBins property.
`void` | `setRightBoundary(double value)` Sets the value of the rightBoundary property.
`void` | `setSyncTicks(boolean value)` Sets the value of the syncTicks property.
`void` | `unsetLeftBoundary()`
`void` | `unsetNumBins()`
`void` | `unsetRightBoundary()`
`void` | `unsetSyncTicks()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### syncTicks

    protected Boolean syncTicks

### numBins

    protected Integer numBins

### leftBoundary

    protected Double leftBoundary

### rightBoundary

    protected Double rightBoundary

Constructor Detail

### HistogramParams

    public HistogramParams()

Method Detail

### isSyncTicks

    public boolean isSyncTicks()

  Gets the value of the syncTicks property.

  Returns:
    possible object is `Boolean`

### setSyncTicks

    public void setSyncTicks(boolean value)

  Sets the value of the syncTicks property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetSyncTicks

    public boolean isSetSyncTicks()

### unsetSyncTicks

    public void unsetSyncTicks()

### getNumBins

    public int getNumBins()

  Gets the value of the numBins property.

  Returns:
    possible object is `Integer`

### setNumBins

    public void setNumBins(int value)

  Sets the value of the numBins property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetNumBins

    public boolean isSetNumBins()

### unsetNumBins

    public void unsetNumBins()

### getLeftBoundary

    public double getLeftBoundary()

  Gets the value of the leftBoundary property.

  Returns:
    possible object is `Double`

### setLeftBoundary

    public void setLeftBoundary(double value)

  Sets the value of the leftBoundary property.

  Parameters:
    `value` - allowed object is `Double`

### isSetLeftBoundary

    public boolean isSetLeftBoundary()

### unsetLeftBoundary

    public void unsetLeftBoundary()

### getRightBoundary

    public double getRightBoundary()

  Gets the value of the rightBoundary property.

  Returns:
    possible object is `Double`

### setRightBoundary

    public void setRightBoundary(double value)

  Sets the value of the rightBoundary property.

  Parameters:
    `value` - allowed object is `Double`

### isSetRightBoundary

    public boolean isSetRightBoundary()

### unsetRightBoundary

    public void unsetRightBoundary()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.